# Copyright 2024 (c) Anna Schumaker.
"""A custom Adw.PasswordEntryRow to set the user token."""
from gi.repository import Gtk
from gi.repository import Adw


def ListenBrainzRow() -> Adw.PasswordEntryRow:
    """Create a new PasswordEntryRow for entering the user token."""
    row = Adw.PasswordEntryRow(title="ListenBrainz User Token",
                               show_apply_button=True)
    row.prefix = Gtk.Image(icon_name="listenbrainz-logo-symbolic")

    row.add_prefix(row.prefix)
    return row
